/// <reference types="node" />
import { Writable } from 'stream';
import { Parser, Feed } from './parser';
/**
 * Parses an RSS/Atom feed.
 *
 * @param {boolean} buffer If true, will buffer entire object.
 * @return {sax.Stream}
 */
export default class XMLFeedParser extends Writable implements Parser {
    _buffer: boolean;
    parser: Writable;
    private _root;
    private _obj;
    constructor(buffer: boolean);
    _write(chunk: Buffer, encoding: BufferEncoding, callback: (err?: Error | null) => void): void;
    _final(callback: (err?: Error | null) => void): void;
    done(): Feed | undefined;
}
