import { Options, ParsedOptions } from './types';
import { Weekday } from './weekday';
import { Time } from './datetime';
export declare function initializeOptions(options: Partial<Options>): {
    freq?: import("./types").Frequency;
    dtstart?: Date;
    interval?: number;
    wkst?: number | Weekday;
    count?: number;
    until?: Date;
    tzid?: string;
    bysetpos?: number | number[];
    bymonth?: number | number[];
    bymonthday?: number | number[];
    bynmonthday?: number[];
    byyearday?: number | number[];
    byweekno?: number | number[];
    byweekday?: import("./types").ByWeekday | import("./types").ByWeekday[];
    bynweekday?: number[][];
    byhour?: number | number[];
    byminute?: number | number[];
    bysecond?: number | number[];
    byeaster?: number;
};
export declare function parseOptions(options: Partial<Options>): {
    parsedOptions: ParsedOptions;
};
export declare function buildTimeset(opts: ParsedOptions): Time[];
//# sourceMappingURL=parseoptions.d.ts.map